Issue 89105

Summary: Annoying and useless message when loading 3.x document
Product: General Reporter: bmarcelly <marcelly.bernard>
Component: uiAssignee: AOO issues mailing list <issues>
Status: REOPENED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: bettina.haberer, frank.loehmann, issues, Mathias_Bauer, michael.brauer, pb
Version: OOo 2.4.0   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: TASK Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
Message inciting to update OpenOffice none

Description bmarcelly 2008-05-07 09:55:34 UTC
How to reproduce:
1 - have OOo 2.4.0 installed (does not appear on 2.3.1 and older)
2 - OpenOffice is not running
3 - double-click on a document created with 3.x (currently a pre-beta), for example 
an empty Calc document
4 - during loading a message appears : OpenOffice.org Update Available (see 
attachment)

This message has several problems:

a) it appears even if on-line update options are un-checked (which could be 
understood as :  don't bother me with updates)

b) there is a "smart" check that tries to display the message only once; when it 
works this means that the user will not be remembered when he/she reloads the same 
document later, defeating the very purpose of the message

c) the "smart" check is  easily foiled by reloading OpenOffice, or by closing the 
message window with the X button, and in other cases (copy)

d) if the user of 2.x makes a change and saves the document, it is silently converted 
to 2.x format. A good way to get rid of the message.

e) this is a "marketing push" because it appears even if there is no loss of 
information; it alerts the user needlessly and will be a source of trouble in a 
professional environment (where only the responsible for computer systems should 
decide when to update)

For these reasons, this message should be suppressed on 2.4.1.
Only in the case where a document contains features not recognised by the current 
version, could a warning message be issued. This message should only be a warning, 
not incite to update. It should then display at each document loading.
Comment 1 bmarcelly 2008-05-07 09:56:25 UTC
Created attachment 53440 [details]
Message inciting to update OpenOffice
Comment 2 Olaf Felka 2008-05-07 10:09:38 UTC
Surely not a defect. Reassigned for further investigation. See also 89096.
Comment 3 bettina.haberer 2008-05-07 12:15:50 UTC
CC'ed fl as user experience part of the i-team.
Comment 4 frank.loehmann 2008-05-07 13:54:14 UTC
a) Is a bug according to spec (page 4):
http://specs.openoffice.org/appwide/onlineupdate/ODF_Online_Update_Trigger.odt

b) c) are intended

e) IMHO it would be an improvement to "scan" the documents for "new features"
instead of using the ODF version id. @MIB: Would that be possible?
Comment 5 pb 2008-05-08 05:20:32 UTC
pb: a) is fixed by issue 89151.
Comment 6 mdxonefour 2008-06-02 07:40:13 UTC
a) to d) have already solved / answered.
Regarding e) I talked to Michael Brauer about this. According to him it would
result in huge efforts to implement behavior like the suggested one. And we will
never reach a 100% fixed status for this due to the nature of the item we talk
about here. In worst case it may put users into wrong safety feelings. There for
I recommend to close this issue now.
Comment 7 bmarcelly 2008-06-02 10:47:52 UTC
Since point a) is corrected, point e) is less annoying.
I agree to close this issue.
Comment 8 bmarcelly 2008-11-21 09:04:17 UTC
Issue reopened because Issue 89151 is not corrected on 2.4.2 (680m18).

The message OpenOffice.org Update Available appears even if on-line update options 
are un-checked. 
Comment 9 mdxonefour 2008-11-21 09:17:29 UTC
The notification window about the new file format uses the term update, but has
no relation to the online update of OpenOffice.org. Sure that this can by
confusing if you unchecked the online update option.

I think we will not fix this.
Comment 10 bmarcelly 2008-11-21 11:09:08 UTC
-> md "The notification window about the new file format uses the term update, but has
no relation to the online update of OpenOffice.org."
There is a direct relation, just read the message on attachment id=53440

Another fix would be to add an option to inhibit the display of the message.

You may not want to fix this, but the annoyance is real. See also Issue 96378.
Comment 11 mdxonefour 2008-11-21 11:24:01 UTC
-> bmarcelly: The buttons read "Update now..." and "Later". When you hit the
"Update now..." button, the ODF notification page will be shown in the browser.
This button does not trigger the online update, even is the button "Update
now..." makes you thinking this. Probably those two buttons should read "Tell me
more..." and "Never mind...".
Comment 12 Mathias_Bauer 2009-05-25 14:40:52 UTC
Martin, how shall we proceed? For the time being I changed the target from 2.x
to 3.x
Comment 13 Marcus 2017-05-20 10:48:01 UTC
Reset assigne to the default "issues@openoffice.apache.org".